Namespace Models

    Public Class Task
        Public Id As Integer?
        Public Description As String
        Public IsComplete As Boolean
        Public CreatedOn As Date
        Public Priority As Integer

        Public Shared Function RandomData() As List(Of Task)
            Dim result = New List(Of Task)
            For i = 0 To 25 Step 1
                Dim t = New Task
                t.Id = i
                t.Description = String.Format("Task number {0}", i)
                t.CreatedOn = Now.AddDays(i - 10)
                t.IsComplete = (i Mod 2) = 0
                result.Add(t)
            Next
            Return result
        End Function
    End Class

End Namespace
